<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
  <modelVersion>4.0.0</modelVersion>
  <groupId>BDDPOC</groupId>
  <artifactId>POC</artifactId>
  <version>0.0.1-SNAPSHOT</version>
  <dependencies>
  <dependency>
    <groupId>info.cukes</groupId>
    <artifactId>cucumber-java</artifactId>
    <version>1.2.5</version>
</dependency>
  <dependency>
    <groupId>info.cukes</groupId>
    <artifactId>cucumber-core</artifactId>
    <version>1.2.5</version>
</dependency>
  <dependency>
    <groupId>info.cukes</groupId>
    <artifactId>cucumber-testng</artifactId>
    <version>1.2.5</version>
</dependency>
  <dependency>
    <groupId>org.testng</groupId>
    <artifactId>testng</artifactId>
    <version>6.11</version>
    <scope>test</scope>
</dependency>
  <dependency>
    <groupId>org.seleniumhq.selenium</groupId>
    <artifactId>selenium-java</artifactId>
    <version>3.4.0</version>
</dependency>
<dependency>
    <groupId>net.masterthought</groupId>
    <artifactId>maven-cucumber-reporting</artifactId>
    <version>3.9.0</version>
</dependency>

  </dependencies>
  <build>
  	<plugins>
  		<plugin>
  		 <groupId>org.apache.maven.plugins</groupId>
    	<artifactId>maven-compiler-plugin</artifactId>
    	<version>3.5.1</version>
    		<configuration>
    		  <source>1.8</source>
    		  <target>1.8</target>
    		  <fork>true</fork>
                <executable>C:\Program Files\Java\jdk1.8.0_111\bin\javac.exe</executable>
    		</configuration>
  		</plugin>
  		<plugin>
  		 <groupId>org.apache.maven.plugins</groupId>
  	     <artifactId>maven-surefire-plugin</artifactId>
         <version>2.19.1</version>
         <configuration>
         	<testFailureIgnore>true</testFailureIgnore>
         </configuration>
  		</plugin>
  		<plugin>
  		 <groupId>net.masterthought</groupId>
   		 <artifactId>maven-cucumber-reporting</artifactId>
    	<version>3.9.0</version>
    	<executions>
    		<execution>
    		 <id>execution</id>
    		 <phase>verify</phase>
    		 <goals>
    		 	<goal>generate</goal>
    		 	</goals>
    		 	<configuration>
    		 		<projectName>Craftsvilla</projectName>
    		 		<outputDirectory>${project.build.directory}/cucumber-reports</outputDirectory>
    		 		<cucumberOutput>${project.build.directory}/cucumber.json</cucumberOutput>
    		 		<enableFlashCharts>false</enableFlashCharts>
    		 		<skippedFails>true</skippedFails>
    		 	</configuration>
    		</execution>
    	</executions>
  		</plugin>
  		
  		
  	</plugins>
  </build>
</project>